public class MessageParam<T>
{
    public T Value;
    public MessageParam(T val)
    {
        Value = val;
    }
}

public class MessageParamPair<T1, T2>
{
    public T1 Value1;
    public T2 Value2;
    public MessageParamPair(T1 v1, T2 v2)
    {
        Value1 = v1;
        Value2 = v2;
    }
}
